﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace C1ComboBoxHeightIssue
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            c1ComboBox1.ItemsDataSource = GetTable();
            c1ComboBox1.ItemsDisplayMember = "Patient";
            c1ComboBox1.ItemsValueMember = "Patient";
            c1ComboBox1.HtmlPattern = "<table><tr><td Height=\"50\">{Text}</td></tr></table>";
            c1ComboBox1.ItemMode = C1.Win.C1Input.ComboItemMode.HtmlPattern;
        }
        static DataTable GetTable()
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            // Here we add five DataRows.
            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);
            return table;
        }
    }
}
